# -*- coding: utf-8 -*-
"""
This is a py2exe setup script

Usage:
    python py2exe_setup.py py2exe
"""
from distutils.core import setup
import py2exe
import os
import sys


option = {
    'compressed': True,
    'optimize': 2,
    'bundle_files': 2,
    'includes': ['irkit', 'resolve_irkit', 'pybonjour', 'tkinter'],
    'excludes': [],
    'packages': []
}


setup(
    name='QuickIR',
    version='1.0.9',
    description='QuickIR control IRKit device',
    options = {
        'py2exe': option
    },
    windows = [
        {'script': 'QuickIR.py',
         'icon_resources': [(1, 'app32bit.ico')]
        }
    ],
    data_files = [
        ('images',
         [r'images\file_add.gif',
          r'images\file_delete.gif',
          r'images\file_post.gif',
          r'images\file_rename.gif',
          r'images\folder_add.gif',
          r'images\folder_delete.gif',
          r'images\folder_rename.gif',
          r'images\IRKit.gif'])
    ],
    zipfile = None
)
